RenditServer (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.rendit.RenditServer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.rendit
Class RenditServer

    java.lang.Object
      org.hyperic.hq.hqu.rendit.RenditServer

    public class RenditServer

extends java.lang.Object

Field Summary
`static java.lang.String` | `PROP_PLUGIN_APIMAJ`
`static java.lang.String` | `PROP_PLUGIN_APIMIN`
`static java.lang.String` | `PROP_PLUGIN_NAME`
`static java.lang.String` | `PROP_PLUGIN_VER`

Method Summary
`void` | `addPluginDir(java.io.File path)`
`AttachmentDescriptor` | `getAttachmentDescriptor(java.lang.String pluginName, Attachment a, Resource ent, AuthzSubject u)`
`static RenditServer` | `getInstance()`
`java.io.File` | `getSysDir()`
`void` | `handleRequest(java.lang.String pluginName, RequestInvocationBindings b)` Handles regular web requests for a UI plugin.
`java.lang.Object` | `invokeMethod(java.lang.String plugin, InvokeMethodInvocationBindings b)`
`PluginWrapper` | `loadPlugin(java.io.File path)` Loads a plugin into the rendit system, verifying the version numbers, etc.
`void` | `removePluginDir(java.lang.String pluginName)`
`void` | `renderTemplate(java.io.File template, java.util.Map params, java.io.Writer output)` Renders a template (.gsp file) to a Writer This facility relies on a plugin being registered under the name 'tmpl_render' which how to deal with a render invocation from the dispatcher.
`void` | `setSysDir(java.io.File sysDir)` Set the system directory which contains groovy support classes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_PLUGIN_NAME

    public static final java.lang.String PROP_PLUGIN_NAME

See Also:
  Constant Field Values

### PROP_PLUGIN_VER

    public static final java.lang.String PROP_PLUGIN_VER

See Also:
  Constant Field Values

### PROP_PLUGIN_APIMAJ

    public static final java.lang.String PROP_PLUGIN_APIMAJ

See Also:
  Constant Field Values

### PROP_PLUGIN_APIMIN

    public static final java.lang.String PROP_PLUGIN_APIMIN

See Also:
  Constant Field Values

Method Detail

### getSysDir

    public java.io.File getSysDir()

### setSysDir

    public void setSysDir(java.io.File sysDir)

  Set the system directory which contains groovy support classes. Since this object is a singleton, we rely on someone to call this before they start adding plugins.

### addPluginDir

    public void addPluginDir(java.io.File path)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removePluginDir

    public void removePluginDir(java.lang.String pluginName)

### loadPlugin

    public PluginWrapper loadPlugin(java.io.File path)
                             throws PluginLoadException

  Loads a plugin into the rendit system, verifying the version numbers, etc.

  Parameters:
    `path` - Path to the plugin
  Throws:
    `PluginLoadException`

### handleRequest

    public void handleRequest(java.lang.String pluginName,
                              RequestInvocationBindings b)
                       throws java.lang.Exception

  Handles regular web requests for a UI plugin.

  Throws:
    `java.lang.Exception`

### getAttachmentDescriptor

    public AttachmentDescriptor getAttachmentDescriptor(java.lang.String pluginName,
                                                        Attachment a,
                                                        Resource ent,
                                                        AuthzSubject u)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String plugin,
                                         InvokeMethodInvocationBindings b)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### renderTemplate

    public void renderTemplate(java.io.File template,
                               java.util.Map params,
                               java.io.Writer output)
                        throws java.lang.Exception

  Renders a template (.gsp file) to a Writer This facility relies on a plugin being registered under the name 'tmpl_render' which how to deal with a render invocation from the dispatcher.

  Throws:
    `java.lang.Exception`

### getInstance

    public static final RenditServer getInstance()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.